跳轉到主要內容
GET
/
api
/
publicapi
/
v1
/
transactions
/
active
傳回符合指定 Parameter 的進行中處理作業
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/active \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "stage": "ManualReview",
      "stageName": "<string>",
      "reviewerEmail": "<string>",
      "reviewerName": "<string>",
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createTimeUtc": "2023-11-07T05:31:56Z",
      "transactionParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "fileParameters": [
        {
          "isReadOnly": true,
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "skillId": "<string>",
      "skillVersion": 123,
      "documentCount": 123
    }
  ],
  "totalItemCount": 123
}

授權

Authorization
string
header
必填

The access token received from the authorization server in the OAuth 2.0 flow.

查詢參數

StageType
string

處理作業的當前階段

StageName
string

處理作業當前階段的名稱 目前處理作業所處階段的名稱

SkillId
string

可用 skill 的 ID(視權限而定)。若此欄位留空,將使用所有可用的 skill 作為篩選條件。

SkillVersion
string

僅依版本篩選可用的 skill

StartDate
string<date-time>

處理作業的最小建立時間。 時間必須以 UTC 格式指定。 處理作業的最早建立時間。 時間必須以 UTC 時間格式指定。

EndDate
string

處理作業的最晚建立時間。 時間必須以 UTC 時間格式指定。 如果未指定,則使用目前的 UTC 時間。

TransactionParameters
object[]

處理作業的 Parameter 清單。 要擷取的處理作業必須包含所有這些 Parameter。

DocumentParameters
object[]

文件參數清單。 擷取的處理作業應包含所有參數

Offset
integer<int32>

頁面偏移量(預設值:0)

Limit
integer<int32>

頁面上限

回應

包含處理作業及其文件註冊參數與階段資訊的交易

僅供 Swagger 使用

items
object[] | null
totalItemCount
integer<int32>